package com.gyee.dataadapter.dao;

import com.gyee.dataadapter.entity.PointData;

import java.sql.SQLException;
import java.util.Date;
import java.util.List;
import java.util.Map;

public interface IHistoryDao {
    Map<String, PointData> getLatest(List<String> tagNames) throws Exception;
    List<PointData> getHistoryRaw(String tagName, Date startTime, Date endTime) throws Exception;
    List<PointData> getHistorySnap(String tagName, Date startTime, Date endTime, Integer interval) throws Exception;
    List<PointData> getHistoryStat(String tagName, Date startTime, Date endTime, Integer interval, Integer type) throws Exception;
    PointData getHistoryStat0(String tagName, Date startTime, Date endTime, Integer type) throws Exception;
    Map<String, PointData> getHistorySection(Date time, List<String> tagNames) throws Exception;
    List<PointData> getHistoryStat2(String tagName, Date startTime, Date endTime, Integer type) throws Exception;

}
